RDF2BIN(1)

NAME
rdf2bin, rdf2com - convert an RDOFF object file to flat binary

SYNOPSIS
rdf2bin [-o relocation-origin] [-p segment-alignment] [-f format] input-file output-file
rdf2com [-p segment-alignment] input-file output-file
rdf2ith [-o relocation-origin] [-p segment-alignment] input-file output-file
rdf2srec [-o relocation-origin] [-p segment-alignment] input-file output-file

OPTIONS

-o relocation-origin
    Relocate at origin relocation-origin. If invoked as rdf2com, the default relocation origin will be 0x100. Else, the default origin is 0.

-p segment-alignment
    Pad segments until their size is a multiple of segment-alignment. By default, 16 is used.

-f format
    Specify the output format. The currently supported formats are binary (bin), DOS COM (binary with origin 0x100) (com) Intel hex (ith or ihx), and Motorola S-Records (srec). If not specified, the format is set by the command name.

AUTHORS
Julian Hall <jules@earthcorp.com>, H. Peter Anvin <hpa@zytor.com>.

This manual page was written by Matej Vela <vela@debian.org>.

BUGS
This utility currently only supports the classic segments .text, .data and .bss.